// Available languages
var availLanguage = {

  en: {
    en: 'English',
    nl: 'Engels'
  },

  nl: {
    en: 'Dutch',
    nl: 'Nederlands'
  }

}


// Button titles
var buttonTitle = {

  pause: {
    en: [ 'Pause refresh', 'Start refresh' ],
    nl: [ 'Verversing pauzeren', 'Verversen hervatten' ]
  },

  topics: {
    en: 'Organise follow-up topics',
    nl: 'Opvolg topics organiseren'
  },

  forums: {
    en: 'Forum select',
    nl: 'Forum selectie'
  },

  prefs: {
    en: 'Preferences',
    nl: 'Voorkeuren'
  },

  help: {
    en: 'Help',
    nl: 'Help'
  },

  track: {
    en: [ 'Click to mark for follow-up', 'Click to unmark' ],
    nl: [ 'Markeren als opvolg topic', 'Verwijderen uit opvolg topics' ]
  },

  popup: {
    en: 'Re-enable popups',
    nl: 'Popups weer inschakelen'
  },

  add: {
    en: 'Add topic',
    nl: 'Topic toevoegen'
  },

  deleteall: {
    en: 'Delete all topics',
    nl: 'Alle opvolg topics verwijderen'
  },

  notify: {
    en: [ 'Enable notifications', 'Disable notifications' ],
    nl: [ 'Notificaties inschakelen', 'Notificaties uitschakelen' ]
  },

  update: {
    en: 'Check for forumfile update',
    nl: 'Controleren op nieuw forumbestand'
  },

  forumsel: {
    en: [ 'select to show active topics', 'deselect to not show active topics' ],
    nl: [ 'aktieve topics laten zien', 'aktieve topics niet laten zien']
  },

  forumnew: {
    en: [ 'select to notify new topics', 'deselect to not notify new topics' ],
    nl: [ 'notificatie bij nieuwe topics', 'geen notificatie bij nieuwe topics' ]
  },

  picker: {
    en: 'Colorpicker',
    nl: 'Kleurenkiezer'
  },

  nopopups: {
    en: 'Temporary disable all popups',
    nl: 'Alle popups tijdelijk uitschakelen'
  },

  nopopup: {
    en: 'Disable popups for this topic',
    nl: 'Popups uitschakelen voor dit topic'
  },

  mark: {
    en: [ 'mark', 'unmark' ],
    nl: [ 'selecteren', 'deselecteren' ]
  },

  select: {
    en: 'select',
    nl: 'selecteren'
  },

  increase: {
    en: 'increase',
    nl: 'verhogen'
  },

  decrease: {
    en: 'decrease',
    nl: 'verlagen'
  }

}


// Tooltips
var toolTip = {

  calendar: {
    en: 'Calendar',
    nl: 'Kalender'
  },

  refresh: {
    en: 'Click for instant refresh',
    nl: 'Klik om te verversen'
  },

  lastpost: {
    en: 'Last post by: ',
    nl: 'Laatste bericht door: '
  },

  sort: {
    en: 'sort',
    nl: 'sorteer'
  },

  next: {
    en: 'next',
    nl: 'volgende'
  },

  prev: {
    en: 'previous',
    nl: 'vorige'
  }

}


// Message texts
var messageText = {

  maxtopics: {
    en: 'Sorry, maximum number of follow-up topics reached',
    nl: 'Sorry, maximaal aantal opvolg topics is bereikt'
  },

  deleteall: {
    en: 'Do you really want to delete all your follow-up topics?',
    nl: 'Weet u zeker dat u alle opvolg topics wilt verwijderen?'
  },

  notopics: {
    en: 'There are currently no follow-up topics selected',
    nl: 'Er zijn nog geen opvolg topics geselecteerd'
  },

  choice: {
    en: 'Make your choice',
    nl: 'Maak een keuze'
  }

}


// Refresh status
var refreshStatus = {

  versioncheck: {
    en: 'Checking for new version...',
    nl: 'Versie controleren...'
  },

  disabled: {
    en: 'Loading disabled...',
    nl: 'Laden onderbroken...'
  },

  paused: {
    en: 'Refresh paused...',
    nl: 'Verversen gepauzeerd...'
  },

  connect: {
    en: 'Connecting...',
    nl: 'Connectie maken...'
  },

  antfuck: {
    en: 's',
    nl: 'n'
  },

  refresh: {
    en: 'Refresh in ',
    nl: 'Verversen na '
  },

  second: {
    en: ' second',
    nl: ' seconde'
  },

  loading: {
    en: 'Loading...',
    nl: 'Inladen...'
  },

  parsing: {
    en: 'Parsing...',
    nl: 'Verwerken...'
  },

  error: {
    en: 'Error connecting...',
    nl: 'Fout tijdens connectie...'
  },

  timeout: {
    en: 'Refresh timed out...',
    nl: 'Verversing timeout...'
  },

  nodata: {
    en: 'No data...',
    nl: 'Geen data...'
  },

  cleanup: {
    en: 'Automatic Cleanup...',
    nl: 'Automatische Opschoning...'
  }

}


// Pref titles
var prefTitle = {

  language: {
    en: 'Language',
    nl: 'Taal'
  },

  numtopics: {
    en: 'Number of topics to show',
    nl: 'Aantal topics laten zien'
  },

  refresh: {
    en: 'Seconds before refresh',
    nl: 'Aantal seconden voor verversen'
  },

  LoadtimeLimit: {
    en: 'Loadtime limit',
    nl: 'Laadtijd limiet'
  },

  TimeFormat: {
    en: 'Time format',
    nl: 'Tijd formaat'
  },

  CompactMode: {
    en: 'Compact mode',
    nl: 'Compact modus'
  },

  ClockShow: {
    en: 'Show clock',
    nl: 'Klok laten zien'
  },

  CountdownShow: {
    en: 'Show refresh count',
    nl: 'Aftellen laten zien'
  },

  TimeShow: {
    en: 'Show time',
    nl: 'Tijd bij topic laten zien'
  },

  ForumShow: {
    en: 'Show forums',
    nl: 'Forum bij topic laten zien'
  },

  VersionCheck: {
    en: 'Version check upon startup',
    nl: 'Versie-check bij opstarten'
  },

  EnableContextMenu: {
    en: 'Enable context menu\'s',
    nl: 'Tracker context menu\'s'
  },

  PopupTimeout: {
    en: 'Pop-up timeout',
    nl: 'Pop-up levensduur'
  },

  SoundVolume: {
    en: 'Sound Volume',
    nl: 'Geluids Volume'
  },

  OpenTopic: {
    en: 'Open topics on',
    nl: 'Open topics op'
  },

  ReuseWindow: {
    en: 'Re-use open window',
    nl: 'Herbruik open window'
  },

  UseAltBrowser: {
    en: 'Open links in other browser',
    nl: 'Open links in andere browser'
  },

  AltBrowser: {
    en: 'Alternative browser',
    nl: 'Alternatieve browser'
  },

  DHTMLScrollBars: {
    en: 'Use DHTML scrollbars',
    nl: 'DHTML scrollbars gebruiken'
  },

  BackgroundColor: {
    en: 'Background color',
    nl: 'Achtergrond kleur'
  },

  BackgroundPicture: {
    en: 'Background picture',
    nl: 'Achtergrond plaatje'
  },

  AdjustBackground: {
    en: 'Adjust background position',
    nl: 'Achtergrond positie aanpassen'
  },

  AdjustBackgroundX: {
    en: 'Background position X adjust',
    nl: 'Achtergrond positie X aanpassen'
  },

  AdjustBackgroundY: {
    en: 'Background position Y adjust',
    nl: 'Achtergrond positie Y aanpassen'
  },

  TrackNewtopics: {
    en: 'Track new topics',
    nl: 'Nieuwe topics volgen'
  },

  ShowPopupNew: {
    en: 'Show pop-up on new topic',
    nl: 'Pop-up bij nieuw topic laten zien'
  },

  PlaySoundNew: {
    en: 'Play sound on new topic',
    nl: 'Geluid bij nieuw topic afspelen'
  },

  MarkBoldNew: {
    en: 'Show new topics in bold',
    nl: 'Nieuwe topics vet afbeelden'
  },

  NewtopicSound: {
    en: 'New topic sound',
    nl: 'Geluid voor nieuw topic'
  },

  EnableFollowup: {
    en: 'Enable follow-up',
    nl: 'Opvolg topics activeren'
  },

  FollowupMarkers: {
    en: 'Show follow-up markers',
    nl: 'Opvolg topic selectiehokjes'
  },

  ShowPopup: {
    en: 'Show pop-up on new reply',
    nl: 'Pop-up bij nieuw bericht laten zien'
  },

  PlaySound: {
    en: 'Play sound on new reply',
    nl: 'Geluid bij nieuw bericht afspelen'
  },

  FollowupSound: {
    en: 'Follow-up sound',
    nl: 'Geluid voor nieuw bericht'
  },

  WatchClipboard: {
    en: 'Enable clipboard checking',
    nl: 'Klembord controle activeren'
  },

  AutoAddOwn: {
    en: 'Auto-add own topics to follow-up',
    nl: 'Eigen topics automatisch opvolgen'
  },

  CookieLimit: {
    en: 'Cookie limit',
    nl: 'Cookie limiet'
  },

  EnableAutoCleanup: {
    en: 'Enable auto-cleanup follow-up',
    nl: 'Automatisch opvolgtopics opschonen'
  },

  AutoCleanup: {
    en: 'Automatic cleanup days',
    nl: 'Aantal dagen voor opschonen'
  },

  DisableSort: {
    en: 'Disable sorting follow-up topics',
    nl: 'Sorteren opvolg topics deactiveren'
  },

  nick: {
    en: 'Nick',
    nl: 'Gebruikersnaam'
  },

  repliesperpage: {
    en: 'Number of replies per page',
    nl: 'Aantal berichten per pagina'
  },

  limitTopics: {
    en: 'Number of topics in XML',
    nl: 'Aantal topics in XML'
  },

  FoolProxy: {
    en: 'Override proxy caching',
    nl: 'Voorkom caching door proxy'
  }

}


// Preference category titles
var prefcatTitle = {

  tracker: {
    en: 'Tracker',
    nl: 'Tracker'
  },

  style: {
    en: 'Style',
    nl: 'Style'
  },

  followup: {
    en: 'Follow-up',
    nl: 'Opvolgen'
  },

  forum: {
    en: 'Forum',
    nl: 'Forum'
  }

}


// Preference choices
var prefChoice = {

  timeformat: {
    en: [ '24-hour', 'am/pm' ],
    nl: [ '24-uurs', 'am/pm' ]
  },

  opentopic: {
    en: [ '1st page', 'last page' ],
    nl: [ '1e pagina', 'laatste pagina' ]
  }

}


// Context menu title
var contextTitle = {

  open: {
    en: 'Open',
    nl: 'Openen'
  },

  openfirst: {
    en: 'Open on 1st page',
    nl: 'Open op 1e pagina'
  },

  openlast: {
    en: 'Open on last page',
    nl: 'Open op laatste pagina'
  },

  reply: {
    en: 'Reply',
    nl: 'Reageren'
  },

  followadd: {
    en: 'Add to follow-up',
    nl: 'Toevoegen aan opvolg topics'
  },

  followremove: {
    en: 'Remove from follow-up',
    nl: 'Verwijderen uit opvolg topics'
  },

  markread: {
    en: 'Mark read',
    nl: 'Markeren als gelezen'
  },

  markunread: {
    en: 'Mark unread',
    nl: 'Markeren als ongelezen'
  },

  remove: {
    en: 'Remove',
    nl: 'Verwijderen'
  },

  info: {
    en: 'More info',
    nl: 'Meer info'
  },

  faq: {
    en: 'FAQ',
    nl: 'FAQ'
  },

  post: {
    en: 'Post topic',
    nl: 'Plaats topic'
  },

  search: {
    en: 'Search',
    nl: 'Zoeken'
  },

  profile: {
    en: 'Profile',
    nl: 'Profiel'
  },

  prefs: {
    en: 'Preferences',
    nl: 'Voorkeuren'
  }

}


// Window titles
var winTitle = {

  follow: {
    en: 'Follow-up Topics',
    nl: 'Opvolg Topics'
  },

  forums: {
    en: 'Forum Select',
    nl: 'Forum Selectie'
  },

  prefs: {
    en: 'Preferences',
    nl: 'Voorkeuren'
  },

  help: {
    en: 'Help',
    nl: 'Help'
  },

  info: {
    en: 'Topic Info',
    nl: 'Topic Info'
  },

  addtopic: {
    en: 'Add Topic',
    nl: 'Topic Toevoegen'
  },

  newtopic: {
    en: 'New Topic!',
    nl: 'Nieuw Topic!'
  },

  newreply: {
    en: 'New Reply!',
    nl: 'Nieuw Bericht!'
  },

  forumupdate: {
    en: 'Forum Update Check',
    nl: 'Forum Update Controle'
  },

  trackerupdate: {
    en: 'Update Check',
    nl: 'Update Controle'
  },

  newversion: {
    en: 'New Version Available!',
    nl: 'Nieuwe Versie Beschikbaar!'
  }

}


// Page headers
var pageHeader = {

  forums: {
    en: 'Forums to track:',
    nl: 'Selecteer de fora om te volgen:'
  },

  prefs: {
    en: 'Tracker Preferences:',
    nl: 'Tracker Voorkeuren:'
  },

  info: {
    en: 'Extra Topic information:',
    nl: 'Extra Topic informatie:'
  },

  addtopic: {
    en: 'Please fill in the details of the topic:',
    nl: 'Vul hier de details van het topic in:'
  },

  newtopic: {
    en: 'There is a new topic in forum ',
    nl: 'Er is een nieuw topic in forum '
  },

  newreply: {
    en: 'There is a new reply in the following marked topic:',
    nl: 'Er is een nieuw bericht in het volgende opvolg topic:'
  },

  forumupdate: {
    en: 'Contacting download server...',
    nl: 'Contact maken met download server...'
  },

  trackerupdate: {
    en: 'Checking for new version...',
    nl: 'Controleren op nieuwe versie...'
  },

  newversion: {
    en: 'There is a new version of the Tracker available!',
    nl: 'Er is een nieuwe versie van de Tracker beschikbaar!'
  },

  nonewversion: {
    en: 'There is no new version of the Tracker available...',
    nl: 'Er is geen nieuwe versie van de Tracker beschikbaar...'
  },

  unreachable: {
    en: 'Download server unreachable...',
    nl: 'Download server niet bereikbaar...'
  }

}


// Topic items
var topicItem = {

  forum: {
    en: 'Forum',
    nl: 'Forum'
  },

  topicid: {
    en: 'Topic id',
    nl: 'Topic id'
  },

  title: {
    en: 'Title',
    nl: 'Titel'
  },

  topicstart: {
    en: 'Topic start',
    nl: 'Begin topic'
  },

  topicstarter: {
    en: 'Topic starter',
    nl: 'Topic opener'
  },

  lastreply: {
    en: 'Last reply',
    nl: 'Laatste bericht'
  },

  lastreplier: {
    en: 'Last replier',
    nl: 'Laatste poster'
  },

  replies: {
    en: 'Total replies',
    nl: 'Aantal berichten'
  },

  tr: {
    en: 'Tr',
    nl: 'Tr'
  },

  time: {
    en: 'Time',
    nl: 'Tijd'
  },

  copied: {
    en: 'copied from clipboard',
    nl: 'gekopieerd van klembord'
  }

}


// General expressions
var genExp = {

  apply: {
    en: 'Apply',
    nl: 'Toepassen'
  },

  browse: {
    en: 'Browse',
    nl: 'Verken'
  },

  pick: {
    en: 'Pick',
    nl: 'Kiezen'
  },

  test: {
    en: 'Test',
    nl: 'Test'
  },

  addfollow: {
    en: 'Add to follow-up topics',
    nl: 'Toevoegen aan opvolg topics'
  },

  unknown: {
    en: 'Unknown',
    nl: 'Onbekend'
  },

  unknownforum: {
    en: 'Unknown Forum',
    nl: 'Onbekend Forum'
  },

  website: {
    en: 'website',
    nl: 'webpagina'
  },

  lastver: {
    en: 'latest version',
    nl: 'laatste versie'
  },

  activate: {
    en: 'Activate!',
    nl: 'Activeren!'
  },

  here: {
    en: 'here',
    nl: 'hier'
  }

}


// Forum update texts
var updateText = {

  error: {
    en: '<b>Error!</b><br /><br />The downloadserver could not be contacted.<br /><br />Please try the $website$ to check for updates.',
    nl: '<b>Fout!</b><br /><br />De downloadserver kon niet bereikt worden.<br /><br />Probeer de $website$ om te kijken voor updates.'
  },

  notice: {
    en: '<b>Notice!</b><br /><br />The latest version of the forum definition file is not compatible with your version of the Tracker.<br /><br />Please upgrade to the $lastver$ of the Tracker first.',
    nl: '<b>Bericht!</b><br /><br />De laatste versie van het forum definitie bestand is niet geschikt voor de huidige versie van uw Tracker.<br /><br />Installeer de $lastver$ van de Tracker eerst.'
  },

  results: {
    en: 'Results:',
    nl: 'Resultaten:'
  },

  curverdate: {
    en: 'Your current version is dated:',
    nl: 'Uw huidige versie is gedateerd:'
  },

  lastverdate: {
    en: 'The latest version is dated:',
    nl: 'De nieuwste versie is gedateerd:'
  },

  noneed: {
    en: 'There is no need to update your forum definition file.',
    nl: 'Het is niet nodig uw forum definitie bestand te updaten.'
  },

  step1h: {
    en: 'Follow belowmentioned instructions to update your forum definition file:',
    nl: 'Volg ondergenoemde stappen om uw forum definitie bestand te updaten:'
  },

  step1: {
    en: '<b>Step 1</b>: download the new definition file from the following link and save it in the Tracker\'s script directory, overwriting the original forums.js file:',
    nl: '<b>Stap 1</b>: download het nieuwe definitie bestand via de volgende link en sla het op in de Tracker\'s script map, waarbij u het forums.js bestand overschrijft:'
  },

  dllink: {
    en: 'Download the latest definition file',
    nl: 'Download het nieuwe definitie bestand'
  },

  step2h: {
    en: 'When you have downloaded the new forum definition file, continue with:',
    nl: 'Als u het nieuwe forum definitie bestand heeft opgeslagen, ga dan verder met:'
  },

  step2: {
    en: '<b>Step 2</b>: push the button below to restart the Tracker with the new forum definition file:',
    nl: '<b>Stap 2</b>: druk op de knop hieronder om de Tracker opnieuw te starten met het nieuwe forum definitie bestand:'
  }

}

// Tracker upgrade texts
var upgradeText = {

  curver: {
    en: 'You are currently running version: ',
    nl: 'U gebruikt momenteel versie: '
  },

  dated: {
    en: 'Dated: ',
    nl: 'Gedateerd: '
  },

  newver: {
    en: 'The latest version available is version: ',
    nl: 'De laatste versie beschikbaar is versie: '
  },

  download: {
    en: 'Click $lastver$ to download this new version.',
    nl: 'Klik $lastver$ om de nieuwste versie te downloaden.'
  },

  instr1: {
    en: 'After downloading, close the Tracker and unzip the contents of the zipfile in the Tracker directory, overwriting the original files.',
    nl: 'Sluit na het downloaden de Tracker af en unzip de inhoud van de zipfile in de Tracker map, waarbij U de huidige bestanden overschrijft.'
  },

  instr2: {
    en: 'After that just start the Tracker again!',
    nl: 'Start hierna de Tracker opnieuw op!'
  }

}


// Calendar items
var calendarItem = {

  months: {
    en: [ 'January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December' ],
    nl: [ 'Januari', 'Februari', 'Maart', 'April', 'Mei', 'Juni', 'Juli', 'Augustus', 'September', 'Oktober', 'November', 'December' ]
  },

  weekdays: {
    en: [ 'M', 'T', 'W', 'T', 'F', 'S', 'S' ],
    nl: [ 'M', 'D', 'W', 'D', 'V', 'Z', 'Z' ]
  }

}