var Y;
var SelectedScrollbar;
var lineheight = 13;
var visibleheight;
var visiblewidth;
var contentheight;
var contentwidth;
var scrollerheight;
var scrollspeed;
var contenttop;
var scrollertop;
var layerYOffset;
var adjust = 0;

function initscroll() {

  SelectedScrollbar = false;
  contenttop = 0;
  scrollertop = 16;

  contentheight = document.getElementById('content').scrollHeight;
  contentwidth = document.getElementById('content').scrollWidth;
  layerYOffset = document.getElementById('contentcontainer').offsetTop;

  if (contentheight > visibleheight) {

    document.getElementById('contentcontainer').style.overflow = 'hidden';

    document.getElementById('content').style.width = visiblewidth - 16 - adjust;
    // changes the contentheight!
    contentheight = document.getElementById('content').scrollHeight;
    document.getElementById('scrollbar').style.left = visiblewidth - 16;
    document.getElementById('scrollbar').style.height = visibleheight;
    document.getElementById('scrollcanvas').style.height = visibleheight;
    document.getElementById('scrollbg').style.height = visibleheight;
    document.getElementById('scrolldown').style.top = visibleheight - 16;

    document.getElementById('scroller').style.top = scrollertop;
    document.getElementById('content').style.top = contenttop;

    scrollerheight = Math.floor((visibleheight / contentheight) * (visibleheight - 32))
    if (scrollerheight < 16) scrollerheight = 16;
    if (scrollerheight + 32 > visibleheight) {
      document.getElementById('scroller').style.visibility = 'hidden';
    } else {
      document.getElementById('scroller').style.visibility = 'visible';
    }
    scrollborderwidth = document.all? 0:2;
    document.getElementById('scroller').style.height = scrollerheight-scrollborderwidth;
    document.getElementById('scrollborder').style.height = scrollerheight-2-scrollborderwidth;
    document.getElementById('scrollborder').style.width = 16-2-scrollborderwidth;
    scrollspeed = (contentheight - visibleheight) / (visibleheight - scrollerheight - 32);
    document.getElementById('scrollbar').style.backgroundColor = actualColor;
    document.getElementById('scroller').style.backgroundColor = actualColor;
    document.getElementById('scrollup').style.backgroundColor = actualColor;
    document.getElementById('scrolldown').style.backgroundColor = actualColor;
    document.getElementById('scrollbar').style.visibility = 'visible';

    document.onmousemove=scrollen;
    document.onmouseup=stopscroll;
    document.onkeydown=dokeydown;
    document.onkeyup=stopscroll;
    if (document.all) document.onmousewheel = wheelscroll;

  } else {

    document.getElementById('scrollbar').style.visibility = 'hidden';
    document.getElementById('scroller').style.visibility='hidden';
    document.getElementById('content').style.top = contenttop;

    document.onmousemove=null;
    document.onmouseup=null;
    document.onkeydown=null;
    document.onkeyup=null;
    document.onmouseout=null;
    if (document.all) document.onmousewheel = null;

  }

}

function scrollen(e) {

  if (!e) e = event;
  var button = document.all? e.button:1;

  if (SelectedScrollbar && button == 1 && !clickscrolling) {

    var num = e.clientY - Y;
    Y += num;
    scrollertop += num;

    if (scrollertop < 16) scrollertop = 16;
    if (scrollertop > (visibleheight - (16 + scrollerheight))) scrollertop = visibleheight - (16 + scrollerheight);

    contenttop = (16 - scrollertop) * scrollspeed;

    document.getElementById('scroller').style.top = scrollertop;
    document.getElementById('content').style.top = contenttop;

  } else if (clickscrolling) {

    Y = e.clientY;

  } else {

    stopscroll();

  }

}


function stopscroll() {

  SelectedScrollbar = false;
  if (scrolling) clearTimeout(scrolling);
  scrolling = null;
  clickscrolling = false;
  document.getElementById('scrollbg').style.visibility = 'hidden';

}

var scrolling = null;
function doscroll(num) {

  contenttop += num;

  if (contenttop > 0) contenttop = 0;
  if (contenttop < -(contentheight - visibleheight)) contenttop = -(contentheight - visibleheight);

  scrollertop = -(contenttop / scrollspeed) + 16;

  document.getElementById('scroller').style.top = scrollertop;
  document.getElementById('content').style.top = contenttop;

}

var clickscrolling = false;
function clickscroll(e) {

  if (!e) e = event;

  Y = e.clientY;
  SelectedScrollbar = true;

  if (Y < (scrollertop + layerYOffset)) {

    if (Y - layerYOffset > 16) document.getElementById('scrollbg').style.visibility = 'visible';
    doclickscroll(4);

  }  else if (Y > (scrollertop + scrollerheight + layerYOffset)) {

    if (visibleheight - Y + layerYOffset > 16) document.getElementById('scrollbg').style.visibility = 'visible';
    doclickscroll(-4);

  }

}

function dokeydown(e) {

  if (!SelectedScrollbar) {

    if (!e) e = event;
    var key = e.keyCode || e.which;

    if (key == 33 || key == 38 || key == 34 || key == 40) {

      var delta = (key > 34)? 1:9;
      if (key == 34 || key == 40) delta *= -1;
      Y = 0;
      SelectedScrollbar = true;
      doclickscroll(delta);

    }

  }

}

function doclickscroll(num) {

  document.getElementById('scrollbg').style.top = (num > 0)? scrollertop-visibleheight:scrollertop+scrollerheight;
  clickscrolling = true;

  var delta = Math.round((num*visibleheight)/(lineheight*10));
  if (delta == 0) delta = (num > 0)? 1:-1;

  for (var i = 0; i < lineheight; i++) {
    setTimeout('doscroll('+delta+')', i*5);
  }

  if (Y < (scrollertop + layerYOffset) || Y > (scrollertop + scrollerheight + layerYOffset)) {

    if (scrolling) {
      scrolling = setTimeout('doclickscroll('+num+')', (lineheight-1)*5);
    } else scrolling = setTimeout('doclickscroll('+num+')', 500);

  } else {

    stopscroll();

  }

}

function wheelscroll() {

  var delta = event.wheelDelta;
  if (delta) doscroll(Math.floor(delta/30)*lineheight);

}